GET /dataset/{dataset}/{version}/query/json
globalforestwatch.org:global-forest-watch-api
Operation ID: query_dataset_json_dataset__dataset___version__query_json_get
Auth: api_key
Description
Execute a READ-ONLY SQL query on the given dataset version (if implemented) and return response in JSON format. Adding a geostore ID or directly-specified geometry to the query will apply a spatial filter to the query, only returning results for features intersecting with the geostore geometry. For vector datasets, this filter will not clip feature geometries to the geostore boundaries. Hence any spatial transformation such as area calculations will be applied on the entire feature geometry, including areas outside the geostore boundaries. A geostore ID or geometry must be specified for a query to a raster- only dataset. GET to /dataset/{dataset}/{version}/fields will show fields that can be used in the query. For raster-only datasets, fields for other raster datasets that use the same grid are listed and can be referenced. There are also several reserved fields with special meaning that can be used, including "area__ha", "latitude", and "longitude".
Parameters (5)
(string, path, required)
Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}
(string, query, optional)
Geostore ID. The geostore must represent a Polygon or MultiPolygon.
(?, query, optional, default: gfw)
Service to search first for geostore.
(string, query, required)
SQL query.
(string, path, required)
Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}
No probe data for this endpoint yet.